---
title: Uživatelské skupiny v STM
---

<h2>V aplikaci existuje 5 uživatelských skupin</h2>

<%= image_tag 'usergroups-hierarchy.png', :class => 'border right top' %>

<h3>Hlavní administrátor</h3>

<p>Hlavní administrátoři mohou jako jediní spravovat uživatelské účty a další moduly aplikace, které se přímo netýkají sportovního hlediska (nastavení apod.). V systému musí být vždy alespoň jeden uživatel z této skupiny. Proto musí být ošetřeno případné smazání posledního administrátora nebo změna jeho uživatelské skupiny.</p>

<h3>Sportovní správce</h3>

<p>Uživatelé, kterým byla přiřazena tato uživatelská role, mohou spravovat všechny zápasy, týmy i soutěže, které se v aplikaci nacházejí.</p>

<h3>Správce výsledků soutěže</h3>

<p>Správci soutěží mohou vytvářet, upravovat a mazat zápasy ze soutěží, které jim přiřadil hlavní administrátor. Počet soutěží, které může spravovat jeden uživatel, ani počet uživatelů, kteří mohou jednu soutěž upravovat, není nijak omezen.</p>

<h3>Registrovaný uživatel</h3>

<p>Registrovaný uživatel má povolen přístup ke čtení obsahu základních sportovních modulů a může tipovat výsledky neodehraných zápasů, pokud je v aplikaci povoleno tipování výsledků. Kromě editace svých vlastních tipů nemá povolení k žádným jiným editačním akcím.</p>

<h3>Návštěvník</h3>

<p>Návštěvníci a nepřihlášení uživatelé mohou číst pouze obsah modulů zápasy a soutěže. Aplikace by měla nabízet také možnost uzavření vůči nepřihlášeným uživatelům. Aby neměli přístup k žádným datům a při jakémkoli přístupu byli přesměrováni na stránku s přihlašovacím formulářem.</p>

<h2>Administrace v aplikaci</h2>

<p>V administraci aplikace má hlavní administrátor přístup k tabulce s přehledem aktuálně nastavených uživatelských práv skupin do modulů. Barvy v tabulce vyjadřují: zelená pro plný přístup, modrá pro přístup pouze ke čtení a červená vyjadřuje nemožnost přístupu do daného modulu. Následující obrázek zobrazuje přístupová práva uživatelů ve výchjozím nastavení.</p>

<%= image_tag 'usergroups-default.png', :class => 'border center' %>

<p>Aplikace nabízí možnost zakázat/povolit přístup nezaregistrovaných uživatelů a tipování výsledků zápasů. Na následujícím obrázku je zobrazena tabulka práv, jestliže jsou tyto dvě možnosti zakázány.</p>

<%= image_tag 'usergroups-denied.png', :class => 'border center' %>